public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Bernard Cafarelli" <voyageur@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mail-client/claws-mail/
Date: Fri, 12 Jul 2024 09:39:24 +0000 (UTC)	[thread overview]
Message-ID: <1720777095.e975b42ad3d12b917cbad2e7f9571146c320c7b2.voyageur@gentoo> (raw)

commit:     e975b42ad3d12b917cbad2e7f9571146c320c7b2
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 12 09:38:15 2024 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Fri Jul 12 09:38:15 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e975b42a

mail-client/claws-mail: drop appindicator for 3.x branch

Bug: https://bugs.gentoo.org/935798
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 mail-client/claws-mail/claws-mail-3.21.0-r1.ebuild | 208 +++++++++++++++++++++
 1 file changed, 208 insertions(+)

diff --git a/mail-client/claws-mail/claws-mail-3.21.0-r1.ebuild b/mail-client/claws-mail/claws-mail-3.21.0-r1.ebuild
new file mode 100644
index 000000000000..4fbff2283be4
--- /dev/null
+++ b/mail-client/claws-mail/claws-mail-3.21.0-r1.ebuild
@@ -0,0 +1,208 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit autotools desktop python-any-r1 xdg
+
+DESCRIPTION="An email client (and news reader) based on GTK+"
+HOMEPAGE="https://www.claws-mail.org/"
+
+if [[ "${PV}" == *9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://git.claws-mail.org/readonly/claws.git"
+else
+	SRC_URI="https://www.claws-mail.org/download.php?file=releases/${P}.tar.xz"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+IUSE="archive bogofilter calendar clamav dbus debug doc +gnutls +imap ldap +libnotify litehtml networkmanager nls nntp +notification pdf perl +pgp rss session sieve smime spamassassin spam-report spell startup-notification svg valgrind xface"
+REQUIRED_USE="
+	libnotify? ( notification )
+	networkmanager? ( dbus )
+	smime? ( pgp )
+"
+
+COMMONDEPEND="
+	dev-libs/nettle:=
+	net-mail/ytnef
+	sys-libs/zlib:=
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2[jpeg]
+	x11-libs/gtk+:2
+	x11-libs/libX11
+	x11-libs/pango
+	archive? (
+		app-arch/libarchive
+		>=net-misc/curl-7.9.7
+	)
+	bogofilter? ( mail-filter/bogofilter )
+	calendar? (
+		>=dev-libs/libical-2.0.0:=
+		>=net-misc/curl-7.9.7
+	)
+	dbus? (
+		>=dev-libs/dbus-glib-0.60
+		sys-apps/dbus
+	)
+	gnutls? ( >=net-libs/gnutls-3.0 )
+	imap? ( >=net-libs/libetpan-0.57 )
+	ldap? ( >=net-nds/openldap-2.0.7:= )
+	litehtml? (
+		>=dev-libs/glib-2.36:2
+		>=dev-libs/gumbo-0.10:=
+		net-misc/curl
+		media-libs/fontconfig
+	)
+	nls? ( >=sys-devel/gettext-0.18 )
+	nntp? ( >=net-libs/libetpan-0.57 )
+	notification? (
+		dev-libs/glib:2
+		libnotify? ( x11-libs/libnotify )
+	)
+	pdf? ( app-text/poppler[cairo] )
+	pgp? ( >=app-crypt/gpgme-1.0.0:= )
+	session? (
+		x11-libs/libICE
+		x11-libs/libSM
+	)
+	smime? ( >=app-crypt/gpgme-1.0.0:= )
+	spam-report? ( >=net-misc/curl-7.9.7 )
+	spell? ( >=app-text/enchant-2.0.0:2= )
+	startup-notification? ( x11-libs/startup-notification )
+	svg? ( >=gnome-base/librsvg-2.40.5 )
+	valgrind? ( dev-debug/valgrind )
+"
+
+DEPEND="${COMMONDEPEND}
+	xface? ( >=media-libs/compface-1.4 )
+"
+BDEPEND="
+	${PYTHON_DEPS}
+	app-arch/xz-utils
+	virtual/pkgconfig
+"
+RDEPEND="${COMMONDEPEND}
+	app-misc/mime-types
+	x11-misc/shared-mime-info
+	clamav? ( app-antivirus/clamav )
+	networkmanager? ( net-misc/networkmanager )
+	pdf? ( app-text/ghostscript-gpl )
+	perl? ( dev-lang/perl:= )
+	rss? (
+		dev-libs/libxml2
+		net-misc/curl
+	)
+"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-3.17.5-enchant-2_default.patch"
+)
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	# Don't use libsoup-gnome (bug #565924)
+	export HAVE_LIBSOUP_GNOME=no
+
+	local myeconfargs=(
+		--disable-bsfilter-plugin
+		--disable-dillo-plugin
+		--disable-fancy-plugin
+		--disable-generic-umpc
+		--disable-jpilot #735118
+		--enable-acpi_notifier-plugin
+		--enable-address_keeper-plugin
+		--enable-alternate-addressbook
+		--enable-att_remover-plugin
+		--enable-attachwarner-plugin
+		--enable-fetchinfo-plugin
+		--enable-ipv6
+		--enable-mailmbox-plugin
+		--enable-newmail-plugin
+		--enable-tnef_parse-plugin
+		--with-password-encryption=$(usex gnutls gnutls old)
+		$(use_enable archive archive-plugin)
+		$(use_enable bogofilter bogofilter-plugin)
+		$(use_enable calendar vcalendar-plugin)
+		$(use_enable clamav clamd-plugin)
+		$(use_enable dbus)
+		$(use_enable debug crash-dialog)
+		$(use_enable doc manual)
+		$(use_enable gnutls)
+		$(use_enable ldap)
+		$(use_enable litehtml litehtml_viewer-plugin)
+		$(use_enable networkmanager)
+		$(use_enable nls)
+		$(use_enable notification notification-plugin)
+		$(use_enable pdf pdf_viewer-plugin)
+		$(use_enable perl perl-plugin)
+		$(use_enable pgp pgpcore-plugin)
+		$(use_enable pgp pgpinline-plugin)
+		$(use_enable pgp pgpmime-plugin)
+		--disable-python-plugin
+		$(use_enable rss rssyl-plugin)
+		$(use_enable session libsm)
+		$(use_enable sieve managesieve-plugin)
+		$(use_enable smime smime-plugin)
+		$(use_enable spam-report spam_report-plugin)
+		$(use_enable spamassassin spamassassin-plugin)
+		$(use_enable spell enchant)
+		$(use_enable startup-notification)
+		$(use_enable svg)
+		$(use_enable valgrind valgrind)
+		$(use_enable xface compface)
+	)
+
+	# libetpan is needed if user wants nntp or imap functionality
+	if use imap || use nntp ; then
+		myeconfargs+=( --enable-libetpan )
+	else
+		myeconfargs+=( --disable-libetpan )
+	fi
+
+	ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	local DOCS=( AUTHORS ChangeLog* INSTALL* NEWS README* )
+	default
+
+	# Makefile install claws-mail.png in /usr/share/icons/hicolor/48x48/apps
+	# => also install it in /usr/share/pixmaps for other desktop envs
+	# => also install higher resolution icons in /usr/share/icons/hicolor/...
+	insinto /usr/share/pixmaps
+	doins ${PN}.png
+	local size
+	for size in 64 128 ; do
+		newicon -s ${size} ${PN}-${size}x${size}.png ${PN}.png
+	done
+
+	docinto tools
+	dodoc tools/README*
+
+	domenu ${PN}.desktop
+
+	einfo "Installing extra tools"
+	cd "${S}"/tools || die
+	exeinto /usr/$(get_libdir)/${PN}/tools
+	doexe *.pl *.py *.conf *.sh
+	doexe tb2claws-mail update-po uudec uuooffice
+
+	# kill useless files
+	find "${ED}"/usr/$(get_libdir)/${PN}/plugins/ \
+		\( -name "*.a" -o -name "*.la" \) -delete || die
+}
+
+pkg_postinst() {
+	ewarn "When upgrading from version <3.18 please re-load any plugin you use"
+	xdg_pkg_postinst
+}


             reply	other threads:[~2024-07-12  9:39 UTC|newest]

Thread overview: 183+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-07-12  9:39 Bernard Cafarelli [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-17 16:00 [gentoo-commits] repo/gentoo:master commit in: mail-client/claws-mail/ Sam James
2024-09-10 10:25 Arthur Zamarin
2024-09-09 20:58 Arthur Zamarin
2024-09-09 20:44 Arthur Zamarin
2024-08-10  5:27 Michał Górny
2024-07-13 19:20 Bernard Cafarelli
2024-07-13 17:10 Sam James
2024-07-12 17:23 Arthur Zamarin
2024-07-12 13:24 Sam James
2024-07-12 12:08 Arthur Zamarin
2024-07-12 12:08 Arthur Zamarin
2024-07-12 10:29 Sam James
2024-06-28 10:29 Arthur Zamarin
2024-06-28 10:29 Arthur Zamarin
2024-06-20 16:22 Sam James
2024-06-20 10:16 Arthur Zamarin
2024-06-19 19:43 Arthur Zamarin
2024-06-14 10:47 Bernard Cafarelli
2024-06-14 10:47 Bernard Cafarelli
2024-02-22  7:24 Bernard Cafarelli
2024-01-30 18:14 Sam James
2024-01-29  9:49 Sam James
2024-01-29  9:49 Sam James
2024-01-29  9:33 Sam James
2024-01-29  9:23 Sam James
2024-01-29  8:30 Bernard Cafarelli
2024-01-28 10:13 Bernard Cafarelli
2024-01-20 11:49 Sam James
2023-12-22 13:29 Arthur Zamarin
2023-12-22 13:29 Arthur Zamarin
2023-12-22  8:38 Bernard Cafarelli
2023-12-15  3:26 Ionen Wolkens
2023-11-23 21:53 Bernard Cafarelli
2023-11-17 11:00 Bernard Cafarelli
2023-08-21 17:23 Bernard Cafarelli
2023-08-16 14:05 Arthur Zamarin
2023-07-18 12:25 Bernard Cafarelli
2023-07-12  6:39 Jakov Smolić
2023-05-18 16:44 Pacho Ramos
2023-05-14 17:11 Sam James
2023-04-20 22:03 Sam James
2023-04-20 22:03 Sam James
2023-04-20 22:03 Sam James
2023-04-02 20:48 Bernard Cafarelli
2023-04-02 20:48 Bernard Cafarelli
2023-02-27  8:24 Bernard Cafarelli
2023-01-28 10:06 Arthur Zamarin
2023-01-28 10:04 Arthur Zamarin
2022-12-19 22:12 Bernard Cafarelli
2022-12-17  8:08 Sam James
2022-12-11 17:36 Arthur Zamarin
2022-12-04 22:36 Sam James
2022-11-21 19:59 Arthur Zamarin
2022-11-19 11:25 Bernard Cafarelli
2022-11-18 15:06 Bernard Cafarelli
2022-11-18 12:10 Arthur Zamarin
2022-10-27  7:06 Bernard Cafarelli
2022-10-27  7:06 Bernard Cafarelli
2022-10-20 22:01 Bernard Cafarelli
2022-10-20 21:38 Bernard Cafarelli
2022-10-20 21:38 Bernard Cafarelli
2022-09-21 12:27 Agostino Sarubbo
2022-09-21 12:23 Agostino Sarubbo
2022-09-21  5:58 Jakov Smolić
2022-09-20 11:19 Jakov Smolić
2022-08-23 18:10 Arthur Zamarin
2022-08-16  0:22 Sam James
2022-08-16  0:22 Sam James
2022-07-21 20:51 Bernard Cafarelli
2022-07-21 20:51 Bernard Cafarelli
2022-07-10 12:55 Bernard Cafarelli
2022-06-22 13:25 Agostino Sarubbo
2022-06-22 13:22 Agostino Sarubbo
2022-04-30  8:15 Lars Wendler
2022-04-12  3:15 Matt Turner
2022-04-04  9:47 Lars Wendler
2022-04-03 13:30 Lars Wendler
2022-04-03 13:29 Lars Wendler
2022-04-03 13:24 Lars Wendler
2022-04-03 13:24 Lars Wendler
2022-03-23  0:14 Sam James
2022-02-16 21:26 David Seifert
2021-11-20 13:24 Sam James
2021-11-20 13:21 Lars Wendler
2021-11-20 13:21 Lars Wendler
2021-11-18 21:21 Lars Wendler
2021-09-25 21:59 Marek Szuba
2021-09-25 21:59 Marek Szuba
2021-09-07  1:09 Sam James
2021-08-12  6:41 Agostino Sarubbo
2021-08-11  6:41 Agostino Sarubbo
2021-08-11  4:21 Sam James
2021-07-10 17:50 Lars Wendler
2021-07-10 17:42 Lars Wendler
2021-03-30  9:27 Sam James
2021-03-05 20:34 Sam James
2021-03-04 11:53 Lars Wendler
2021-03-04 11:53 Lars Wendler
2021-02-18 21:41 Sam James
2021-02-16 12:30 Sam James
2021-02-09 22:52 Sam James
2021-02-09 22:51 Sam James
2021-02-08 17:22 Sam James
2021-02-06 13:33 Sam James
2020-11-18 10:32 Lars Wendler
2020-11-18  9:54 Sam James
2020-11-17 20:43 Thomas Deutschmann
2020-10-19 16:50 Lars Wendler
2020-09-28 15:55 Lars Wendler
2020-08-22  8:04 Michał Górny
2020-08-19 10:55 Lars Wendler
2020-08-12  8:44 Lars Wendler
2020-08-11 16:43 Lars Wendler
2020-08-11 16:43 Lars Wendler
2020-07-27 17:13 Lars Wendler
2020-07-27 14:21 Sam James
2020-07-24 15:09 Agostino Sarubbo
2020-07-13 13:35 Lars Wendler
2020-04-13 16:12 Agostino Sarubbo
2020-04-13 14:48 Agostino Sarubbo
2020-03-09 13:06 Lars Wendler
2020-02-25 11:42 Lars Wendler
2020-02-24 18:47 Lars Wendler
2020-02-24  9:06 Lars Wendler
2019-11-06 10:34 Lars Wendler
2019-07-26 22:02 Lars Wendler
2019-07-26 22:02 Lars Wendler
2019-06-26 22:08 Lars Wendler
2019-04-25 12:45 Lars Wendler
2019-02-19 23:42 Lars Wendler
2019-02-19 23:42 Lars Wendler
2019-02-09 15:22 Mikle Kolyada
2019-01-31 18:04 Tobias Klausmann
2018-12-22 19:53 Lars Wendler
2018-12-22 19:53 Lars Wendler
2018-12-15  1:08 Lars Wendler
2018-09-03  9:42 Lars Wendler
2018-08-17  9:54 Lars Wendler
2018-08-17  9:54 Lars Wendler
2018-07-03 12:14 Lars Wendler
2018-06-11 16:28 Aaron Bauman
2018-05-03 15:21 Lars Wendler
2018-03-13 20:23 Sergei Trofimovich
2018-03-01  2:56 Steve Arnold
2017-12-17 19:47 Lars Wendler
2017-12-17 19:47 Lars Wendler
2017-12-03 14:54 Pacho Ramos
2017-10-15 22:08 Thomas Deutschmann
2017-08-30  9:39 Lars Wendler
2017-08-16 14:01 Lars Wendler
2017-08-05 16:12 Tobias Klausmann
2017-07-31 12:20 Tobias Klausmann
2017-05-09  7:49 Tobias Klausmann
2017-04-01  9:35 Michael Weber
2017-03-31 10:54 Michael Weber
2017-03-27 20:06 Jeroen Roovers
2017-03-27  7:39 Lars Wendler
2017-03-27  7:39 Lars Wendler
2017-02-08 10:44 Lars Wendler
2017-01-14 20:05 Lars Wendler
2017-01-14 19:57 Lars Wendler
2017-01-14 19:57 Lars Wendler
2017-01-14 19:57 Lars Wendler
2016-11-06 19:27 Lars Wendler
2016-08-10  8:53 Lars Wendler
2016-08-07 18:24 Lars Wendler
2016-03-20 17:23 Lars Wendler
2016-03-19 13:14 Agostino Sarubbo
2016-03-17 10:18 Tobias Klausmann
2016-03-15 16:38 Agostino Sarubbo
2016-03-02 13:58 Agostino Sarubbo
2016-02-27  9:09 Jeroen Roovers
2016-01-20 20:49 Lars Wendler
2016-01-20 20:49 Lars Wendler
2015-12-29  6:40 Jeroen Roovers
2015-12-26 20:43 Lars Wendler
2015-12-21  7:33 Lars Wendler
2015-10-18  7:55 Michał Górny
2015-10-12  5:47 Lars Wendler
2015-09-29  7:36 Lars Wendler
2015-09-14  9:49 Lars Wendler
2015-09-14  9:49 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1720777095.e975b42ad3d12b917cbad2e7f9571146c320c7b2.voyageur@gentoo \
    --to=voyageur@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox